org.apache.jmeter.util

## Class ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.jmeter.util.ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor

- All Implemented Interfaces:
    ActionListener, PropertyEditor, EventListener, ClearGui
  Enclosing class:
    ScriptingBeanInfoSupport

      public static class ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor
      extends PropertyEditorSupport
      implements ActionListener, ClearGui

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSR223ScriptCacheCheckboxEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)`
    `void` | `clearGui()` Clear the gui and return it to initial default values.
    `void` | `firePropertyChange()`
    `String` | `getAsText()`
    `Component` | `getCustomEditor()`
    `Object` | `getValue()`
    `void` | `setAsText(String value)`
    `void` | `setValue(Object value)`
    `boolean` | `supportsCustomEditor()`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSR223ScriptCacheCheckboxEditor

          public JSR223ScriptCacheCheckboxEditor()

  - ### Method Detail

    - #### getAsText

          public String getAsText()

      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `PropertyEditorSupport`

    - #### setAsText

          public void setAsText(String value)

      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `PropertyEditor`
      Overrides:
        `getValue` in class `PropertyEditorSupport`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `PropertyEditor`
      Overrides:
        `setValue` in class `PropertyEditorSupport`

    - #### getCustomEditor

          public Component getCustomEditor()

      Specified by:
        `getCustomEditor` in interface `PropertyEditor`
      Overrides:
        `getCustomEditor` in class `PropertyEditorSupport`

    - #### firePropertyChange

          public void firePropertyChange()

      Overrides:
        `firePropertyChange` in class `PropertyEditorSupport`

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

      Specified by:
        `actionPerformed` in interface `ActionListener`

    - #### supportsCustomEditor

          public boolean supportsCustomEditor()

      Specified by:
        `supportsCustomEditor` in interface `PropertyEditor`
      Overrides:
        `supportsCustomEditor` in class `PropertyEditorSupport`

    - #### clearGui

          public void clearGui()

      Description copied from interface: `ClearGui`
      Clear the gui and return it to initial default values. This is necessary because most gui classes are instantiated just once and re-used for multiple test element objects and thus they need to be cleared between uses.
      Specified by:
        `clearGui` in interface `ClearGui`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.